#include "ctimer.h"

cTimer::cTimer( void )
{
	sceRtcGetCurrentTick( &timeLastAsk );
	tickResolution = sceRtcGetTickResolution();
}

double cTimer::GetDeltaTime( void )
{
	sceRtcGetCurrentTick( &timeNow );
	double dt = ( timeNow - timeLastAsk ) / ((float) tickResolution );
	timeLastAsk = timeNow;

	return dt;
}
